:root{
--red: hsl(14, 86%, 42%);
--green: hsl(159, 69%, 38%);
--rose-50: hsl(20, 50%, 98%);
--rose-100: hsl(13, 31%, 94%);
--rose-300: hsl(14, 25%, 72%);
--rose-400: hsl(7, 20%, 60%);
--rose-500: hsl(12, 20%, 44%);
--rose-900: hsl(14, 65%, 9%);
}
*,
::before,
::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: "Oxygen", sans-serif;
    width: 100vw;
    height: 100dvh;
    background-color: var(--rose-100);
    
}
main{
    flex-direction: column;
    width: 100%;
    padding-bottom: 30px;
    gap: 20px;
}
.flex-items_center-content_center{
    display: flex;
    align-items: center;
    justify-content: center;
}
.limiter{
    width: 90%;
}
.box-principal{
    flex-direction: column;
    width: 100%;
}
.title{
    align-content: flex-start;
}
.title h1{
    padding: 20px 0;
}
.box-items{
    flex-direction: column;
}
.card-items{
    flex-direction: column;
    width: 100%;
    gap: 10px;
}
.cart{
    display: flex;
    align-items: center;
    gap: 5px;
    flex-basis: 0;
    padding: 10px 25px;
    border-radius: 25px;
    font-weight: 500;
    background-color: white;
    margin-top: -40px;
    border: 2px solid var(--rose-300);
    cursor: pointer;
}
picture, picture img{
    width: 100%;
    border-radius: 15px;
    border: 2.5px solid transparent;
}
.box-info{
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
    padding-bottom: 35px;
}
.nome{
    color: var(--rose-300);
    font-weight: 400;
}
.name-info{
    color: var(--rose-900);
    font-weight: 600;
}
.value{
    color: var(--red);
    font-weight: 600;
}
.box-lateral{
    background-color: white;
    border-radius: 10px;
    padding: 30px 0;
    flex-direction: column;
}
.limiter-box-lateral{
    flex-direction: column;
    width: 90%;
    align-items: flex-start;
}
.box-lateral h2{
    color: var(--red);
}
.listCart{
    width: 100%;
    flex-direction: column;
}
.to-do-list,.confirm{
    width: 100%;
    justify-content: space-around;
    gap: 35px;
    flex-direction: column;
}
.cart-item{
    width: 100%;
    border-bottom: 2px solid var(--rose-100);
    padding: 15px 0;
    align-items: flex-start;
}
.cart-info{
    width: 100%;
    justify-content: space-between;
}
.info-value{
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
}
.btn-remove-cart{
    width: 18px;
    height: 18px;
    border-radius: 50%;
    border: 2px solid var(--rose-300);
    background: none;
    cursor: pointer;
}
.neural{
    background-color: var(--rose-100);
    border-radius: 10px;
    padding: 10px 15px;
    width: 100%;
    gap: 10px;
}
.value-total{
    width: 100%;
    justify-content: space-between;
}
.btn-confirm{
    background: var(--red);
    border: none;
    color: white;
    width: 100%;
    padding: 15px ;
    border-radius: 25px;
    font-weight: 400;
    cursor: pointer;
}
.qtd-value{
    gap: 10px;
}
.qtd-value p:nth-child(1){
    color: var(--red);
    font-weight: 600;
}
.qtd-value p:nth-child(2){
    color: var(--rose-300);
    font-weight: 400;
}
.qtd-value p:nth-child(3){
    color: var(--rose-500);
    font-weight: 600;
}
.cart-empty{
    display: flex;
    width: 100%;
}
.empty-info{
    width: 100%;
    flex-direction: column;
    justify-content: space-between;
    gap: 15px;
}
.empty-info p{
    color: var(--rose-500);
    font-weight: 600;
}
.empty-info picture{
    width: 50%;
}
.box-order-confirm{
    width: 100%;
    background-color: white;
    border-radius: 25px 25px 0 0;
    padding: 25px 0;
}
.box-check-order{
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    padding-bottom: 20px;
}
.box-check-order picture{
    width: 15%;
}
.text-confirm{
    font-weight: 600;
    font-size: clamp(42px,2vw,50px);
}
.box-check-order p{
    color: var(--rose-300);
    font-weight: 400
}
.to-do-confirm{
    background-color: var(--rose-100);
    border-radius: 10px;
    padding: 15px 20px 25px ;
    margin-bottom: 20px;
}
.box-confirm{
    width: 100%;
    flex-direction: column;
    list-style-type: none;
}
.check-order{
    border-bottom: 1px solid var(--rose-300);
}
.check-order picture{
    width: 20%;
}
.text-check{
    font-size: 12px;
}
.order-itens{
    width: 100%;
    justify-content: flex-start;
    gap: 15px;
}
.order-itens picture img{
    border-radius: 5px;
}
.img1{
    border: 2.5px solid red;
}
.btn-wid .disable{
    display: flex;
    width: 100%;
    justify-content: space-around;
    align-items: center;
    gap: 35px;
}
.more{
    display: none;
}
.btns-icon{
    border-radius: 50%;
    padding: 5px;
    border: 2px solid white;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;    
    height: 22px;
}
.disable,.disable1,.btn-img1{
    display: none;
}
.teste{
    background: var(--red);
}
.btn-wid{
    display: flex;
    align-items: center;
    gap: 10px;
}
.btnAdd{
    border: none;
}
.btn-img{
    background-color: white;
}
.btn-img img{
    background-color: white;
}
.btns-icon{
    cursor: pointer;
}
.order-confirm{
    display: none;
    position: absolute;
    top: 80px;
    width: 100%;
    height: 100dvh;
    background-color: transparent;
}
.box-order-confirm{
    background-color: white;
    position: absolute;
    top: 75px;
    height: 100dvh;
}
.overlay {
  position: fixed; /* cobre a tela inteira */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5); /* preto com 50% de opacidade */
  z-index: 999;
}
.limiter-box-principal{
    flex-direction: column;
}
@media(min-width:768px){
    .card-items{
        flex-basis: auto;
        max-width: 210px;
    }
    .box-items{
        flex-wrap: wrap;
        flex-direction: initial;
        gap: 20px;
    }
    .btn-wid{
        gap: 10px;
    }
    .box-order-confirm{
        left: 25%;
        height: fit-content;
        width: 50%;
        border-radius: 25px;
    }
}
@media(min-width:1024px){
    .card-items{
        max-width: 170px;
    }
    .conteudo{
        flex-direction: row;
        flex-wrap: nowrap;
        align-items:flex-start ;
        width: 95%;
    }
    .box-items{
        justify-content: space-between;
    }
    .limiter{
        width: 100%;
    }
    .box-principal{
        width: 100%;
    }
    .box-lateral{
        margin-top: 30px;
        max-width: 320px;
    }
    .box-order-confirm{
        height: fit-content;
        position: absolute;
        width: 35%;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        border-radius: 25px;
    }
    .limiter-box-principal{
    width: 90%;
}
}
@media(min-width:1130px){
    .card-items{
        max-width: 220px;
    }
}
@media(min-width:1280px){
    .card-items{
        max-width: 240px;
    }
}
@media(min-width:1400px){
    .card-items{
        max-width: 290px;
    }
}
